Subject: Beginners LaTeX

From: "Kelly, Eoin" <[email-masked]>
Date: Mon, 4 Feb 2002 15:09:04 +0000

Hi Peter,
The helpdesk told me you had asked for comments about your "Beginners LaTeX" document so...first off, congradulations on having produced an excellent and readable intro to LaTeX. I've listed the things that occured to me while reding it below (all IMHO ;-). Also I've noticed a niggle with installing the TeXLive 6 CDROM on debian linux stable-all goes well until pdfetex tries to generate it's format - it fails as it can't find the shared library libstdc++-libc6.1-1.so.2 --I got it going by creating a soft-link of that name to libstdc++-3-libc6.1-2-2.10.0.so (both in /usr/lib) -- this had to be done on both my home and work systems (both debian stable). It seems to be working fine now but since I didn't see this issue on the TeXLive errata on tug.org I thought I'd mention it. I've included some of the errors from the installer and below that is the document stuff
cheers,
Eoin  

======================================================
 
pdfetex: error in loading shared libraries: libstdc++-libc6.1-1.so.2: cannot open shared object file: No such file or directory
Error: `pdfetex -ini -efmt=cont-nl -progname=context *cont-nl.ini' failed
pdfetex: error in loading shared libraries: libstdc++-libc6.1-1.so.2: cannot open shared object file: No such file or directory
Error: `pdfetex -ini -efmt=cont-uk -progname=context *cont-uk.ini' failed
pdfetex: error in loading shared libraries: libstdc++-libc6.1-1.so.2: cannot open shared object file: No such file or directory
Error: `pdfetex -ini -efmt=cont-it -progname=context *cont-it.ini' failed
pdfetex: error in loading shared libraries: libstdc++-libc6.1-1.so.2: cannot open shared object file: No such file or directory
Error: `pdfetex -ini -efmt=cont-cz -progname=context *cont-cz.ini' failed
pdfetex: error in loading shared libraries: libstdc++-libc6.1-1.so.2: cannot open shared object file: No such file or directory
Error: `pdfetex -ini -efmt=cont-ro -progname=context *cont-ro.ini' failed
pdftex: error in loading shared libraries: libstdc++-libc6.1-1.so.2: cannot open shared object file: No such file or directory
Error: `pdftex -ini -fmt=pdfjadetex -progname=pdfjadetex &pdflatex pdfjadetex.ini' failed
pdftex: error in loading shared libraries: libstdc++-libc6.1-1.so.2: cannot open shared object file: No such file or directory
Error: `pdftex -ini -fmt=pdfxmltex -progname=pdfxmltex &pdflatex pdfxmltex.ini' failed

###############################################################################
fmtutil: Error! Not all formats have been built successfully.
Visit the log files in directory
  /usr/TeX/texmf-var/web2c
for details.
#########################################################################
This is a summary of all `failed' messages:
`pdftex -ini -fmt=pdflatex -progname=pdflatex pdflatex.ini' failed
`pdftex -ini -fmt=pdftex -progname=pdftex pdftex.ini' failed
`pdftex -ini -fmt=pdftexinfo -progname=pdftexinfo pdftexinfo.ini' failed
`pdfetex -ini -efmt=pdfelatex -progname=pdfelatex *pdfelatex.ini' failed
`pdfetex -ini -efmt=pdfetex -progname=pdfetex *pdfetex.ini' failed
`pdfetex -ini -efmt=cont-de -progname=context *cont-de.ini' failed
`pdfetex -ini -efmt=cont-en -progname=context *cont-en.ini' failed
`pdfetex -ini -efmt=cont-nl -progname=context *cont-nl.ini' failed
`pdfetex -ini -efmt=cont-uk -progname=context *cont-uk.ini' failed
`pdfetex -ini -efmt=cont-it -progname=context *cont-it.ini' failed
`pdfetex -ini -efmt=cont-cz -progname=context *cont-cz.ini' failed
`pdfetex -ini -efmt=cont-ro -progname=context *cont-ro.ini' failed
`pdftex -ini -fmt=pdfjadetex -progname=pdfjadetex &pdflatex pdfjadetex.ini' failed
`pdftex -ini -fmt=pdfxmltex -progname=pdfxmltex &pdflatex pdfxmltex.ini' failed
... now remaking filename database ....
mktexlsr: Updating /usr/TeX/texmf-var/ls-R... 
mktexlsr: Updating /usr/TeX/texmf/ls-R... 
mktexlsr: Done.
...done

==================================================
Session 2 is too complex, too soon-don't underestimate how different LaTeX is to anything they have used before ;-)
Many of the points made there might be better suited to later in the course-they will only
worry about mathematics, special characters etc. once they have satisfied themselves that they
can layout ordinary text- When I first started using TeX, I found it quite confusing (though I was
quite computer literate) - There are a number of new ideas to come to grips with i.e.
	1) Document Markup (if they have never seen HTML or compiled a program then the whole notion
	   of source/output files is new)
	2) Laying out a document logically
	3) A new editing environment (almost inevatible).

	All the above combine to make it all seem like a lot of work - In order to counteract this I
	feel that the first session should emphasise the following more:
	1) LaTeX defaults will give you beautiful documents
	2) Logical layout saves you time and actually helps you structure your ideas
	3) Point out (without too much detail) *why* LaTeX documents "just look better" -hyphenation etc. There's no need to go into
	   too much detail (this will give the user
	   the vocabulary to discuss/hold an opinion on document formatting i.e. they will hopefully
	   start to *really* look at the doucments they print. 

	A short simple example of a document with some text (few pages) in source and output form
	might be useful to show (though they do not yet understand the commands) how easy it is
	to create attractive documents in LaTeX. The O'Reilly books sometimes take this approach e.g. "A stroll through Perl" in the Lamba book - i think it's important for the beginner to see that they can start creating documents in LaTeX without knowing a lot about it.

	Perhaps a short piece on document formatting-if you can engender a sort of "spiritual 
	awakening" about  well formated documents, I believe the user is more likely to persevere
	with LaTeX. Speaking from personal experience, I had never looked particularly carefully
	at formatted documents but after seeing some basic examples in LaTeX, the deficiencies of
	other word processors began to become obvious. A *brief* discussion on fonts should probably be
included here (e.g. "what's a serif?")

	Since many of the people who will be taking the course (in the context of UCC
	anyway) will probably do so because of LaTeX's ability to typeset attractive maths, a short discussion of maths might be useful - just enough basic stuff to get them started. 

	It might be worth mentioning that many of the LaTeX books are available on Q+1 in the Boole
===================================================